# TdApi.ToggleForumTopicIsClosed (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleForumTopicIsClosed

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleForumTopicIsClosed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleForumTopicIsClosed

Enclosing class:
  TdApi

public static final class TdApi.ToggleForumTopicIsClosed extends TdApi.Function<TdApi.Ok>
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
`boolean`
`isClosed`
Pass true to close the topic; pass false to reopen it.
`long`
`messageThreadId`
Message thread identifier of the forum topic.

## Constructor Summary

Constructors
Constructor
Description
`ToggleForumTopicIsClosed()`
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic.
`ToggleForumTopicIsClosed(long chatId, long messageThreadId, boolean isClosed)`
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic.
`ToggleForumTopicIsClosed(DataInput input)`
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### messageThreadId

public long messageThreadId
Message thread identifier of the forum topic.

### isClosed

public boolean isClosed
Pass true to close the topic; pass false to reopen it.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleForumTopicIsClosed

public ToggleForumTopicIsClosed()
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic. Returns `Ok`

### ToggleForumTopicIsClosed

public ToggleForumTopicIsClosed(long chatId, long messageThreadId, boolean isClosed)
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic. Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat.
  `messageThreadId` - long Message thread identifier of the forum topic.
  `isClosed` - boolean Pass true to close the topic; pass false to reopen it.

### ToggleForumTopicIsClosed

public ToggleForumTopicIsClosed(DataInput input) throws IOException
Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`